org.springframework.data.repository.query

## Enum QueryLookupStrategy.Key

- java.lang.Object
- - java.lang.Enum<QueryLookupStrategy.Key>
  - - org.springframework.data.repository.query.QueryLookupStrategy.Key

All Implemented Interfaces:
  Serializable, Comparable<QueryLookupStrategy.Key>

Enclosing interface:
  QueryLookupStrategy

    public static enum QueryLookupStrategy.Key
    extends Enum<QueryLookupStrategy.Key>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CREATE`
`CREATE_IF_NOT_FOUND`
`USE_DECLARED_QUERY`

### Method Summary

All Methods Static Methods Concrete Methods
`static QueryLookupStrategy.Key` `create(String xml)` Returns a strategy key from the given XML value.
`static QueryLookupStrategy.Key` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryLookupStrategy.Key[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CREATE

    public static final QueryLookupStrategy.Key CREATE

#### USE_DECLARED_QUERY

    public static final QueryLookupStrategy.Key USE_DECLARED_QUERY

#### CREATE_IF_NOT_FOUND

    public static final QueryLookupStrategy.Key CREATE_IF_NOT_FOUND

### Method Detail

#### values

    public static QueryLookupStrategy.Key[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryLookupStrategy.Key c : QueryLookupStrategy.Key.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryLookupStrategy.Key valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### create

    @Nullable
    public static QueryLookupStrategy.Key create(String xml)

Returns a strategy key from the given XML value.

Parameters:
  `xml` -
Returns:
  a strategy key from the given XML value